Update Event Category
curl --request PUT \
--url https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"short_description": "<string>",
"order_number": 123,
"status": "<string>"
}
'import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}"
payload = {
"name": "<string>",
"short_description": "<string>",
"order_number": 123,
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
short_description: '<string>',
order_number: 123,
status: '<string>'
})
};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'short_description' => '<string>',
'order_number' => 123,
'status' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"short_description\": \"<string>\",\n \"order_number\": 123,\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"short_description\": \"<string>\",\n \"order_number\": 123,\n \"status\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"short_description\": \"<string>\",\n \"order_number\": 123,\n \"status\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyEvent Categories
Update Event Category
Update an existing event category.
PUT
/
wp-json
/
latepoint-api
/
v1
/
events
/
categories
/
{id}
Update Event Category
curl --request PUT \
--url https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"short_description": "<string>",
"order_number": 123,
"status": "<string>"
}
'import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}"
payload = {
"name": "<string>",
"short_description": "<string>",
"order_number": 123,
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
short_description: '<string>',
order_number: 123,
status: '<string>'
})
};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'short_description' => '<string>',
'order_number' => 123,
'status' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"short_description\": \"<string>\",\n \"order_number\": 123,\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"short_description\": \"<string>\",\n \"order_number\": 123,\n \"status\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/categories/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"short_description\": \"<string>\",\n \"order_number\": 123,\n \"status\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyPath Parameters
integer
required
The ID of the category to update
Request Body Parameters
All parameters are optional. Only provided fields will be updated.string
Category name
string
Brief description of the category
integer
Display order
string
Category status
Example Request
PUT /wp-json/latepoint-api/v1/events/categories/1
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
{
"short_description": "Small-group, hands-on sessions",
"order_number": 2
}
Response
{
"success": true,
"message": "Event category updated successfully",
"data": {
"id": 1,
"name": "Workshops",
"short_description": "Small-group, hands-on sessions",
"order_number": 2,
"status": "active",
"created_at": "2026-10-20 14:05:10",
"updated_at": "2026-10-28 11:20:03"
}
}
Error Responses
| Status | Code | Description |
|---|---|---|
404 | event_category_not_found | The category does not exist |
422 | save_error | LatePoint could not save the category |
503 | feature_disabled | Events is disabled in LatePoint settings |
